VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4680
   ClientLeft      =   240
   ClientTop       =   1545
   ClientWidth     =   5325
   LinkTopic       =   "Form1"
   ScaleHeight     =   4680
   ScaleWidth      =   5325
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'---------------------------------------
' TrueVision MD3 Viewer with attachments.
'---------------------------------------

' Note that Quake3 uses a hard animation system.
' Each character is divided in three parts : lower,
' upper and head. You need to attach them with the tags.
' Each body parts contains a different animation.
' Here, the animation isn't optimized, so you can see
' bugs sometimes.
'
' TV Declarations
'
Public TV As New TrueVision8
Public Scene As New Scene8
Public Inp As New InputEngine8

Public Lower As New Actor8
Public Upper As New Actor8
Public Head As New Actor8
Private Sub Form_Load()
  ' Initialize TrueVision in FullScreen mode
  On Error Resume Next
  If TV.ShowDriverDialog = False Then End
  TV.Initialize
  TV.DisplayFPS = True
  
  ' Set default settings
  TV.SetSearchDirectory App.Path
  Scene.SetCamera 0, 0, -40, 0, 0, 0
  
  'Load the actor
  'Well the actor is divided in three parts
  'so let's load the three parts
  Lower.Load "lower_2.md3"
  Upper.Load "upper_2.md3"
  Head.Load "head_2.md3"
  
  'Set the default speed
  Lower.SetSpeed 1
  Upper.SetSpeed 1
  Head.SetSpeed 1
  
  'TrueVision doesn't support either shader
  'script nor skin script at the moment
  'so let's load manually the texture.
  Scene.LoadTexture "blue.jpg", , , "ActTexture"
  
  'Apply the texture
  Lower.SetMD3Texture GetTex("ActTexture")
  Upper.SetMD3Texture GetTex("ActTexture")
  Head.SetMD3Texture GetTex("ActTexture")
  
  'And the MOST important thing : Attach
  ' the body parts.
  
  'First let's attach the upper part to
  'the lower part.
  Upper.AttachTo Lower, 0
  
  'And let's attach the head to the upper part
  Head.AttachTo Upper, 0
  
  'Note you can attach weapons & other things
  'to the hands with
  'Upper.AttachTo Weapon, 1
  
  Lower.SetScale 1, 1, 1
  
  'The render loop
  Do
    TV.Clear
    
    'Render the three parts
    Lower.Render
    Upper.Render
    Head.Render
    
    TV.RenderToScreen
    
  Loop Until Inp.IsKeyPressed(TV_KEY_ESCAPE) = True
  
  Set TV = Nothing
  End
  
  
  
End Sub


